### Constructor

# FwupdPlugin UsbDevice new

since: 2.0.0

#### Declaration [src]

    FuUsbDevice*
    fu_usb_device_new (
      FuContext* ctx,
      libusb_device* usb_device
    )

#### Description [src]

Creates a new `FuUsbDevice`.

Available since: 2.0.0

This constructor is not directly available to language bindings.

#### Parameters

`ctx`

  Type: `FuContext`

  A `FuContext`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`usb_device`

  Type: `libusb_device*`

  A #libusb_device.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `FuUsbDevice`

A `FuUsbDevice`.

The caller of the function takes ownership of the data, and is responsible for freeing it.